This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 540691 - condition attribute incorrect in PUG.
condition attribute incorrect in PUG.
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ruediger Landmann
Fedora Extras Quality Assurance
:
Depends On: 540685
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-23 18:20 EST by Jared MORGAN
Modified: 2015-08-09 21:21 EDT (History)
7 users (show)

See Also:
Fixed In Version: 1.3-0.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-09 23:15:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jared MORGAN 2009-11-23 18:20:32 EST
Description of problem:

Through experimentation as a result of BZ#540685, I discovered that the currently documented conditional formatting parameter is not correct in the Publican User Guide.

The parameter should be "condition: {parameter}" not "condition={parameter} as currently documented.  

Version-Release number of selected component (if applicable):

PUG Edition 1.1

How reproducible:

Condition parameter is not documented correctly in the following locations:

3.6. Conditional tagging 
     - throughout this section

3.1.1. The publican.cfg file 
       - Root nodes and conditional tagging <important>
       - xrefs and conditional tagging <important>
         - upper-case CONDITION instead of the XML standard of lower-case

Steps to Reproduce:

1. Search for condition= throughout the user guide to find instances of incorrect syntax

  
Actual results:

Using the documented condition parameter results in an invalid publican.cfg file.

Expected results:

The documented parameter works as advertised.

Additional info:

The correct information depends on how the parameter is fixed in BZ#540685.
Comment 1 Jeff Fearn 2009-11-25 18:35:06 EST
Checked in a fix, pretty sure I got them all.
Comment 2 Fedora Update System 2009-12-07 21:15:10 EST
publican-1.3-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.3-0.fc12
Comment 3 Fedora Update System 2009-12-07 21:18:30 EST
publican-1.3-0.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.3-0.fc11
Comment 4 Fedora Update System 2009-12-09 23:14:07 EST
publican-1.3-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2009-12-09 23:26:58 EST
publican-1.3-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.